@use './styles/loader-skeleton.variations' as variations;
@use './styles/loader-skeleton.variables' as *;

:host {
  @include digi-loader-skeleton--variables;
  $base: '.digi-loader-skeleton';

  #{$base} {
    &__item {
      --HEIGHT: 1rem;
      --WIDTH: 100%;
      --BACKGROUND-COLOR: var(--digi--loader-skeleton--background);
      --BORDER-RADIUS: var(--digi--border-radius--primary);
      --ANIMATION: var(--digi--loader-skeleton--animation, pulse 1.5s infinite);
      --MARGIN-BOTTOM: var(--digi--loader-skeleton--margin-bottom);

      background-color: var(--BACKGROUND-COLOR);
      width: var(--WIDTH);
      height: var(--HEIGHT);
      animation: var(--ANIMATION);
      border-radius: var(--BORDER-RADIUS);
      margin-bottom: var(--MARGIN-BOTTOM);

      &--header {
        @include variations.header;
      }

      &--line {
        @include variations.line;
      }

      &--text {
        @include variations.text;
        &:last-child {
          --WIDTH: 75%;
        }
      }
      &--circle {
        @include variations.circle;
      }
      &--rounded {
        @include variations.rounded;
      }
      &--section {
        &-header {
          @include variations.header;
        }
        &-text {
          @include variations.text;
          &:last-child {
            --WIDTH: 75%;
          }
        }
      }
    }
  }

  @keyframes pulse {
    0% {
      opacity: 0.2;
    }
    50% {
      opacity: 1;
    }
    100% {
      opacity: 0.4;
    }
  }
}
